<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="net.vtstar.zhongtong.avi.equipment.mapper.RuntimeRecordMapper">

    
    <insert id="insertLists" parameterType="java.util.List">
        insert into
        machine_runtime_record
        (
        workshop_code,
        machine_id,
        current_runtime,
        total_runtime,
        create_time
        )
        values
        <foreach collection="records" item="record" separator="," index="index">
            (
            #{record.workshopCode},
            #{record.machineId},
            #{record.currentRuntime},
            #{record.totalRuntime},
            #{record.createTime}
            )
        </foreach>
    </insert>
</mapper>